package com.jakubu9333.grammarManager.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.data.mongodb.core.mapping.Document;

import org.springframework.data.annotation.Id;

/**
 * @author Jakub Uhlarik
 */

@Getter
@Setter
@Document(collection = "files")
@NoArgsConstructor
@AllArgsConstructor
public class FileContent
{
    @Id
    private String id;
    private String content;

    public FileContent(String file) {
        this.content=file;
    }
}
